package de.avatic.lcc.model.taric;

import java.time.LocalDate;
import java.util.Set;

/**
 * Represents a nomenclature entry in the TARIC system
 */
public class Nomenclature {

    private String hscode;

    private String suffix;

    private Integer hierachy;

    private Integer indent;

    private LocalDate startDate;

    private LocalDate endDate;

    private Boolean isLeaf;

    private LocalDate isLeafStartDate;

    private Integer parentId;

    private NomenclatureDesc nomenclatureDescs;

    private Set<NomenclatureFootnote> footnotes;

    public String getHscode() {
        return hscode;
    }

    public void setHscode(String hscode) {
        this.hscode = hscode;
    }

    public String getSuffix() {
        return suffix;
    }

    public void setSuffix(String suffix) {
        this.suffix = suffix;
    }

    public Integer getHierachy() {
        return hierachy;
    }

    public void setHierachy(Integer hierachy) {
        this.hierachy = hierachy;
    }

    public Integer getIndent() {
        return indent;
    }

    public void setIndent(Integer indent) {
        this.indent = indent;
    }

    public LocalDate getStartDate() {
        return startDate;
    }

    public void setStartDate(LocalDate startDate) {
        this.startDate = startDate;
    }

    public LocalDate getEndDate() {
        return endDate;
    }

    public void setEndDate(LocalDate endDate) {
        this.endDate = endDate;
    }

    public Boolean getLeaf() {
        return isLeaf;
    }

    public void setLeaf(Boolean leaf) {
        isLeaf = leaf;
    }

    public LocalDate getIsLeafStartDate() {
        return isLeafStartDate;
    }

    public void setIsLeafStartDate(LocalDate isLeafStartDate) {
        this.isLeafStartDate = isLeafStartDate;
    }

    public Integer getParentId() {
        return parentId;
    }

    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }

    public NomenclatureDesc getNomenclatureDescs() {
        return nomenclatureDescs;
    }

    public void setNomenclatureDescs(NomenclatureDesc nomenclatureDescs) {
        this.nomenclatureDescs = nomenclatureDescs;
    }

    public Set<NomenclatureFootnote> getFootnotes() {
        return footnotes;
    }

    public void setFootnotes(Set<NomenclatureFootnote> footnotes) {
        this.footnotes = footnotes;
    }
}